Startup Issue with Minecraft - Java 21 not an option

System Information

Field Value
Operating System Linux - Ubuntu 22.04.3 on x86_64
Product AMP ‘Callisto’ v2.5.0.4 (Mainline)
Virtualization HyperV
Application Minecraft
Module MinecraftModule
Running in Container No
Current State Failed

Problem Description

Issue

Minecraft 1.20.5 pre requires Java 21. I cannot select Java 21 in the java section of the server settings.

Reproduction Steps

  • start a server
  • Choose minecraft server
  • Choose Fabric in the server settings as the next step
  • Choose minecraft 1.20.5 pre-4 as the minecraft version

In the docker images is java 21 already included:
image

If you don’t use docker as it looks like, you need to install it yourself on the host. apt install temurin-21-jdk

1 Like

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.